<%@ Page Language="C#" Debug="true" %>
<%@ Import Namespace="com.swivelsecure.pinsafe" %>

<script runat="server">

    protected void Page_Load(object sender, EventArgs e) {
        PINsafeClient client = new PINsafeClient();
        string username = Request["username"];
        bool exists = false;
        if (!String.IsNullOrEmpty(username)) {
            try {
                exists = client.UserExists(username);
            } catch {
                exists = false;
            }
        }
        byte[] result = new byte[1];
        result[0] = exists ? (byte)'1' : (byte)'0';
        Response.OutputStream.Write(result, 0, 1);

        // Try and prevent caching
        Response.CacheControl = "private";
        Response.ExpiresAbsolute = new DateTime(1970, 1, 1);
        Response.AddHeader("Pragma", "no-cache");

        // Done
        Response.End();
    }

</script>
