<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"  ValidateRequest="false"
    CodeFile="FormsSignIn.aspx.cs" Inherits="FormsSignIn" Title="<%$ Resources:CommonResources, FormsSignInPageTitle%>"
    EnableViewState="false" runat="server"%>
<%@ OutputCache Location="None" %>

<asp:Content ID="FormsSignInContent" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<!-- PINsafe customisation start -->
<script language="JavaScript">
		
var xmlHttp;

var XMLHttpFactories = [
    function () {return new XMLHttpRequest()},
    function () {return new ActiveXObject("Msxml3.XMLHTTP")},
    function () {return new ActiveXObject("Msxml2.XMLHTTP")},
    function () {return new ActiveXObject("Microsoft.XMLHTTP")}
];

function createXMLHttpRequest() {
    var xmlhttp = false;
    for (var i=0;i<XMLHttpFactories.length;i++) {
	    try {
		    xmlhttp = XMLHttpFactories[i]();
	    }
	    catch (e) {
		    continue;
	    }
	    break;
    }
    return xmlhttp;
}

function showTuring() {
    // Change the following line depending on the name of the username field.
    var usernameField = document.getElementById("ctl00_ContentPlaceHolder1_UsernameTextBox");
    var imgTuring = document.getElementById("imgTuring");
    if (usernameField && usernameField.value && imgTuring) {
        imgTuring.style.display = "";
        imgTuring.src = "pinsafe_image.aspx?username=" + usernameField.value + "&random=" + Math.round(Math.random() * 10000);
    } else {
        alert("No username field, or no TURing image");
    }
}

function sendMessage() {
    // Change the following line depending on the name of the username field.
    var usernameField = document.getElementById("ctl00_ContentPlaceHolder1_UsernameTextBox");
    var imgTuring = document.getElementById("imgTuring");
    if (usernameField && usernameField.value && imgTuring) {
        imgTuring.style.display = "";
        imgTuring.src = "pinsafe_image.aspx?type=message&username=" + usernameField.value + "&random=" + Math.round(Math.random() * 10000);
    } else {
        alert("No username field, or no TURing image");
    }
}

function onUserExists()
{
    if (xmlHttp.readyState != 4) return;
    var exists = false;
    if (xmlHttp.status == 200) {
	    var resultText = xmlHttp.responseText;
	    exists = (resultText == "1");
    }
    setUserExists(exists);
}

function setUserExists(exists)
{
    var rowOtc = document.getElementById("OTCRow");
    var rowTuring = document.getElementById("TuringRow");
    var btnRefresh = document.getElementById("StartSession");
    if (exists) {
	    if (rowOtc) {
		    rowOtc.style.display = "";
	    }
	    if (rowTuring) {
		    rowTuring.style.display = "";
		    showTuring();
	    }
	    if (btnRefresh) {
	        btnRefresh.style.display = "";
	    }
    } else {
	    if (rowOtc) {
		    rowOtc.style.display = "none";
	    }
	    if (rowTuring) {
		    rowTuring.style.display = "none";
	    }
	    if (btnRefresh) {
	        btnRefresh.style.display = "none";
	    }
    }
}

var fCheckUserExists;

function checkUser()
{
    var username = document.getElementById("ctl00_ContentPlaceHolder1_UsernameTextBox");
    if (username && username.value && username.value != "")
    {
	    var pinsafeUrl = "./exists.aspx?username=" + username.value + "&random=" + Math.floor(Math.random()*100000);
	    xmlHttp = createXMLHttpRequest();
	    xmlHttp.onreadystatechange = onUserExists;
	    xmlHttp.open("GET", pinsafeUrl, true);
	    xmlHttp.send(null);
    } else {
	    setUserExists(false);
    }
}

</script>
<!-- PINsafe customisation end -->

<div class="GroupXLargeMargin"><asp:Label Text="<%$ Resources:CommonResources, FormsSignInHeader%>" runat="server" /></div>
    <table class="UsernamePasswordTable">
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, UsernameLabel%>" runat="server" /></span>
            </td>
            <td>
<!-- PINsafe customisation start -->
                <asp:TextBox runat="server" ID="UsernameTextBox" onblur="checkUser();"></asp:TextBox>            
<!-- PINsafe customisation end -->
            </td>
            <td class="TextColorSecondary TextSizeSmall">
                <asp:Label Text="<%$ Resources:CommonResources, UsernameExample%>" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, PasswordLabel%>" runat="server" /></span>
            </td>
            <td>
                <asp:TextBox runat="server" ID="PasswordTextBox" TextMode="Password" ></asp:TextBox>            
            </td>
            <td>&nbsp;</td>
        </tr>
<!-- PINsafe customisation start -->
		<!-- Insert the following table row to add a one-time code field -->
        <tr id="OTCRow" style="display:none">
            <td>
                <span class="Label">OTC</span>
            </td>
            <td>
                <input type="password" ID="otc" name="otc" />
            </td>
            <td>&nbsp;</td>
        </tr>
<!-- PINsafe customisation end -->

<tr>
            <td></td>
            <td colspan="2" class="TextSizeSmall TextColorError">
                <asp:Label ID="ErrorTextLabel" runat="server" Text="" Visible="False"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div class="RightAlign GroupXLargeMargin">
                    <asp:Button ID="SubmitButton" runat="server" Text="<%$ Resources:CommonResources, FormsSignInButtonText%>" OnClick="SubmitButton_Click" CssClass="Resizable"/>
                </div>
            </td>
            <td>&nbsp;</td>
        </tr>
    </table>
<!-- PINsafe customisation start -->
	<!-- Insert the following table to display the TURing image -->
    <table width="300" border="0" cellpadding="0" cellspacing="0" id="TuringRow" style="display:none">
      <tr>
        <td width="300" align="center">
          <input type="button" value="Show TURing" onclick="showTuring();" class="Resizable" id="StartSession" /><br/>
          <img id="imgTuring" style="display:none" />
        </td>
      </tr>
    </table>
<!-- PINsafe customisation end -->

</asp:Content>
